<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <add key="DataSource" value="eegdadb8.ee.interbrew.net" />
    <add key="InitialCatalog" value="SalesWorks" />
    <add key="IntegratedSecurity" value="true" />
    <add key="Servers" value="eegdadb8.ee.interbrew.net;eegdadb18.ee.interbrew.net;" />
    <add key="UpdatePath" value="C:\\WccpHost_Sync" />
    <add key="BaseModules" value="WccpReporting.exe;&#xD;&#xA;       SoftServe.HostApplication.Core.dll;&#xD;&#xA;       Logica.Reports.BaseReportControl.dll;&#xD;&#xA;       Logica.Reports.ConfigXmlParser.dll;&#xD;&#xA;       Logica.Reports.DataAccess.dll;&#xD;&#xA;       SoftServe.Core.Common.dll" />
    <add key="DevExModules" value="DevExpress.Charts.v14.1.Core.dll;&#xD;&#xA;       DevExpress.Data.v14.1.dll;&#xD;&#xA;       DevExpress.Office.v14.1.Core.dll;&#xD;&#xA;       DevExpress.PivotGrid.v14.1.Core.dll;&#xD;&#xA;       DevExpress.Printing.v14.1.Core.dll;&#xD;&#xA;       DevExpress.RichEdit.v14.1.Core.dll;&#xD;&#xA;       DevExpress.Sparkline.v14.1.Core.dll;&#xD;&#xA;       DevExpress.Utils.v14.1.dll;&#xD;&#xA;       DevExpress.Utils.v14.1.UI.dll;&#xD;&#xA;       DevExpress.XtraBars.v14.1.dll;&#xD;&#xA;       DevExpress.XtraCharts.v14.1.dll;&#xD;&#xA;       DevExpress.XtraCharts.v14.1.UI.dll;&#xD;&#xA;       DevExpress.XtraCharts.v14.1.Wizard.dll;&#xD;&#xA;       DevExpress.XtraEditors.v14.1.dll;&#xD;&#xA;       DevExpress.XtraGrid.v14.1.dll;&#xD;&#xA;       DevExpress.XtraLayout.v14.1.dll;&#xD;&#xA;       DevExpress.XtraNavBar.v14.1.dll;&#xD;&#xA;       DevExpress.XtraPivotGrid.v14.1.dll;&#xD;&#xA;       DevExpress.XtraPrinting.v14.1.dll;&#xD;&#xA;       DevExpress.XtraRichEdit.v14.1.dll;&#xD;&#xA;       DevExpress.XtraTreeList.v14.1.dll;&#xD;&#xA;       DevExpress.XtraVerticalGrid.v14.1.dll;&#xD;&#xA;       DevExpress.XtraWizard.v14.1.dll" />
    <add key ="RUServiceRMT" value ="https://swesgeor.ab-inbev.com/WebRouter/WebRouter.svc" />
    <add key ="UAServiceRMT" value ="https://swes.ab-inbev.com/WebRouter/WebRouter.svc" />
    <add key ="LogUserNameSW" value="Logger"/>
    <add key ="LogUserPWDSW" value="IADHEHCAFBNFLGKHMOOOEPPDNNDNGAJD"/>
    <add key="ConfigVersion" value="1.0.0.4"/>
  </appSettings>

  <runtime>
    <loadFromRemoteSources enabled="true"/>
  </runtime>

  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>

  <system.serviceModel>

	 <behaviors> 
    <endpointBehaviors> 
        <behavior name="ClientBehavior"> 
            <dataContractSerializer maxItemsInObjectGraph="2147483647"/> 
        </behavior> 
    </endpointBehaviors> 
    </behaviors>
	
    <client>
      <endpoint address="https://swes.ab-inbev.com/LDBSyncWS//UpdateService.asmx"
     binding="basicHttpBinding" bindingConfiguration="UpdateServiceSoap"
     contract="UpdateService.UpdateServiceSoap" name="UpdateServiceSoap" />
      <!--If specify adress atribute for andpoint below, all countries will use this adress as default to contact with WebRouter wcf.
      Otherwise particular country will use it proper adress (RUServiceRMT or UAServiceRMT)-->
      <endpoint address=""
                binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IRouterService"
                contract="WcfRouterService.IRouterService" name="BasicHttpBinding_IRouterService"
				behaviorConfiguration="ClientBehavior" />
    </client>

    <bindings>
      <basicHttpBinding>
        <binding name="UpdateServiceSoap" closeTimeout="00:01:00"
            openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
            allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
            maxBufferSize="10485760" maxBufferPoolSize="10485760" maxReceivedMessageSize="10485760"
            messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered"
            useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
              maxBytesPerRead="4096" maxNameTableCharCount="16384" />
        <security mode="Transport">
            <transport clientCredentialType="None" proxyCredentialType="None"
                realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>

        <binding name="BasicHttpBinding_IRouterService" closeTimeout="00:01:00"
            openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:10:00"
            allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
            maxBufferSize="10485760" maxBufferPoolSize="10485760" maxReceivedMessageSize="10485760"
            messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered"
            useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
              maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="Transport">
            <transport clientCredentialType="None" proxyCredentialType="None"
                realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
      </basicHttpBinding>
    </bindings>

  </system.serviceModel>

</configuration>
